
function mudfish_adclean_9e4f94b3fc91496f40a9ee19e4222e29() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`a[href*="/ad/"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_9e4f94b3fc91496f40a9ee19e4222e29();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_9e4f94b3fc91496f40a9ee19e4222e29();
  });
}
